#!/usr/bin/python

# ---GLOBAL SETTINGS---

# Prefix of your forum tables (default smf_ for SMF, phpbb_ for phpBB)
table_prefix='smf_'

# Map the forums onto SMF forums.
# This variable is a "map" of ChatArea ".f" IDs to SMF/phpBB forum IDs.
# Format: {1234:1,5678:3} where 1234,5678 are the ChatArea IDs and 1,3
# represent the IDs of the corresponding boards on your new forum.
# To find out the ID, note the URL of the forum. It should be in the form
# http://www.chatarea.com/MyForum.f12345, where 12345 would be the forum ID.
CA_BOARDS={1234:1,5678:3}

# PLACE COOKIE DATA HERE.
# Visit the forum, login and type "javascript:document.cookie" (w/o quotes) into the address bar.
# Copy all the text to COOKIEDATA and put single quotes (') around it.
COOKIEDATA='User=cookies=yes&Pword=password&Name=username&sig=yes; ASPSESSIONIDQCBDASAT=KFQJVYLPWSIXRCZAMBTEUDHN'

# Society Name
SOCNAME='MySociety'

# URL (probably doesn't need to be changed)
URL='http://www.chatarea.com/'

# ---MEMBER SETTINGS---

# A random number, used to seed the password generator. You'll want to keep this a secret! CHANGE THIS.
# Keep this the same across runs, because this ensures that the same passwords
# are assigned to the same people.
RANDOMNUMBER=12345678

# Here, define the postgroup based groups.
def postgroup(posts):
	if posts>=500: return 8 # Hero Member
	if posts>=250: return 7 # Sr. Member
	if posts>=100: return 6 # Full Member
	if posts>=50: return 5 # Jr. Member
	return 4 # Newbie

# Administrators (member ids only please!): e.g. ADMINS=[18983,38821]
# You can tell what the ID is from visiting the member page, e.g.
# http://www.chatarea.com/MySociety.profile123456 means the member ID is 123456
ADMINS=[]

# ---PERSONAL MESSAGE SETTINGS---

# Wait time between successive PMs. Admins can set this to zero; everyone else must use
# a non-zero value (default 2 seconds)
waittime=0

# Title for the new automated password messages
msgtitle="Password for New Forums"

# What to say. Place "%s" (without quotes) at the location you want the password to be.
msgbody='''We've moved! Your password for the new forums at http://yournewforums.com is %s.

After logging in, please change your password!

This is an automated message.'''

if __name__=='__main__':
	raw_input("This is not meant to be run. Please edit this file and follow the instructions. Press <enter> to close.")
