#!/usr/bin/python

# ---GLOBAL SETTINGS---

# Prefix of your forum tables (default smf_ for SMF, phpbb_ for phpBB)
table_prefix='phpbb_'

# Prefix for cookies. This is probably the board name that you signed up with.
# For example, if you are at http://myforum.suddenlaunch3.com/index.cgi, then
# COOKIEPREFIX is probably 'myforum'.
COOKIEPREFIX='yourboard'

# This variable is a "map" of ProBoards board shortnames to board passwords.
# Put the shortname followed by the password, both in single quotes.
BOARDPASSWORDS={'passwordboard':'secret','password2':'verysecret'}

# Username and password for the board.
USERNAME='admin'
PASSWORD='secretpassword'

# URL to your index.cgi file
URL='http://yourboard.suddenlaunch3.com/index.cgi'

# What is your board called? This is Case Sensitive!
BOARDNAME="My Board"

# [phpBB ONLY] What is the NEW forum's URL? This is used to resolve internal links.
# Please include the trailing slash.
NEWURL='http://www.example.com/forum/'

# ---TOPIC AND POST SETTINGS---

# URL to the little lock topic icon. The \\d thing means any single digit.
lockimage='http://www.suddenlaunch\\d.com/bimages/locked.gif'

# URL to the pinned/sticky image
stickyimage='http://www.suddenlaunch\\d.com/bimages/sticky.gif'

# URL to the sticky and locked image (for a topic that is both locked and stickied)
stickylockimage='http://www.suddenlaunch\\d.com/bimages/stickylock.gif'

# ---MEMBER SETTINGS---

# A random number, used to seed the password generator. You'll want to keep this a secret! CHANGE THIS.
# Keep this the same across runs, because this ensures that the same passwords
# are assigned to the same people.
RANDOMNUMBER=12345678

# Here, define the postgroup based groups.
def postgroup(posts):
	if posts>=500: return 8 # Hero Member
	if posts>=250: return 7 # Sr. Member
	if posts>=100: return 6 # Full Member
	if posts>=50: return 5 # Jr. Member
	return 4 # Newbie

# ---PERSONAL MESSAGE SETTINGS---

# Wait time between successive PMs.
# You should not make this lower than 15; the default of 17 is probably safe for
# all boards and configurations. Use 16 or 15 only if the extra time really
# matters to you.
waittime=17

# Title for the new automated password messages
msgtitle="Password for New Forums"

# What to say. Place "%s" (without quotes) at the location you want the password to be.
# Use "%%0A" (without quotes) in place of a line break.
# Use "%%3D" for an equals sign.
msgbody="We've moved! Your password for the new forums at http://yournewforums.com is %s.%%0A%%0AAfter logging in, please change your password!%%0A%%0A[SIZE%%3D1]This is an automated message.[/SIZE]"

if __name__=='__main__':
	raw_input("This is not meant to be run. Please edit this file and follow the instructions. Press <enter> to close.")