#!/usr/bin/python

# ---GLOBAL SETTINGS---

# Prefix of your forum tables (default smf_ for SMF, phpbb_ for phpBB)
table_prefix='smf_'

# PLACE COOKIE DATA HERE.
# Visit the forum, login and type "javascript:document.cookie" (w/o quotes) into the address bar. Copy all the text to COOKIEDATA and put single quotes (') around it.
# Your cookie may include rand or other values. Please include _everything_ (user and pass at a minimum)
COOKIEDATA=''

# URL to your board (http://xxxxx.yuku.com/)
URL='http://yourboard.yuku.com/'

# If your forum shows the view counts and you want them to be converted (instead of reset to 0), set this to True.
CONVERTVIEWS=False

# Date and time formats. It is recommended that you use a fully numeric format, to avoid problems.
# See http://docs.python.org/lib/module-time.html for details on the formatting characters (it's under "strftime")
DATEFORMAT = "%m/%d/%y" # 02/16/08
TIMEFORMAT = "%H:%M:%S" # 21:33:56

# Tests for the formats you chose.
from time import strptime # leave this line alone
# Paste in a sample date and time from your forum. If the formats are wrong,
# the script will produce an error on startup informing you of the error.
strptime("02/16/08", DATEFORMAT)
strptime("21:33:56", TIMEFORMAT)

# ---MEMBER SETTINGS---

# A random number, used to seed the password generator. You'll want to keep this a secret! CHANGE THIS.
# Keep this the same across runs, because this ensures that the same passwords
# are assigned to the same people.
RANDOMNUMBER=12345678

# Here, define the postgroup based groups (SMF only)
def postgroup(posts):
	if posts>=500: return 8 # Hero Member
	if posts>=250: return 7 # Sr. Member
	if posts>=100: return 6 # Full Member
	if posts>=50: return 5 # Jr. Member
	return 4 # Newbie

# ---PERSONAL MESSAGE SETTINGS---

# Wait time between successive PMs.
# 0 should work on Yuku.
waittime=0

# Title for the new automated password messages
msgtitle="Password for New Forums"

# What to say. %(password)s is the password (with the "s"), and %(username)s is the username.
# Use "%%0A" (without quotes) in place of a line break.
msgbody="We are moving to a new forum at http://yournewforums.com! Your username is %(username)s, and your password is %(password)s.<br><br>After logging in, please change your password!<br><br>[SIZE=6pt]This is an automated message.[/SIZE]"

if __name__=='__main__':
	raw_input("This is not meant to be run. Please edit this file and follow the instructions. Press <enter> to close.")
