#!/usr/bin/python

# ---GLOBAL SETTINGS---

# Prefix of your forum tables
table_prefix='forum_'

# Make this value at least as high as the highest topic ID, if not higher. You can check by making a new topic and seeing what the showtopic= value is. Making it higher provides some protection against new topics.
NUMTOPICS=10

# Make this value at least as high as the highest forum ID, if not higher.
NUMFORUMS=10

# PLACE COOKIE DATA HERE.
# Visit the forum, login and type "javascript:document.cookie" (w/o quotes) into the address bar. Copy all the text to COOKIEDATA and put single quotes (') around it.
COOKIEDATA=''

# URL to your index.php file
URL='http://myforum.2.forumer.com/index.php'

# ---TOPIC AND POST SETTINGS---

# IDs of stickied [pinned] topics. The pinned status is only retrievable by a mod from within the topic data (because they can "Unpin" it, otherwise the pinning is invisible). This script attempts to locate the Unpin, but if you are not a moderator or higher you will have to set the sticky/pinned topics setting manually!
# Example: sticky=[1,2,3,5]
sticky=[]

# URL to the lock/closed topic image (the image that appears instead of "Post Reply" in a closed topic)
lockimage='style_images/1/t_closed.gif'

# ---MEMBER SETTINGS---

# A random number, used to seed the password generator. You'll want to keep this a secret! CHANGE THIS.
# Keep this the same across runs, because this ensures that the same passwords
# are assigned to the same people.
RANDOMNUMBER=12345678

# Make this value at least as high as the highest member ID, if not higher. Check by noting the ID of the member with the most recent join date.
NUMUSERS=10

# MAP THE GROUPS AND POSTGROUPS ACCORDING TO YOUR FORUM SETUP
# Mapping: for groups, map the "special" groups to their group #s, and the "nonspecial" or post-based groups to 0.
groups={'Admin':1,
'Subadmin':2,
'Validating':0,
'Members':0}

# Here, define the postgroup based groups.
def postgroup(posts):
	if posts>=500: return 8 # Hero Member
	if posts>=250: return 7 # Sr. Member
	if posts>=100: return 6 # Full Member
	if posts>=50: return 5 # Jr. Member
	return 4 # Newbie

# ---PERSONAL MESSAGE SETTINGS---

# Title for the new automated password messages
msgtitle="Password for New Forums"

# What to say. Place "%s" (without quotes) at the location you want the password to be.
# Use "%%0A" (without quotes) in place of a line break.
msgbody="We've moved! Your password for the new forums at http://yournewforums.com is %s.%%0A%%0AAfter logging in, please change your password!%%0A%%0A[SIZE=-1]This is an automated message.[/SIZE]"

if __name__=='__main__':
	raw_input("This is not meant to be run. Please edit this file and follow the instructions. Press <enter> to close.")