#!/usr/bin/python

# ---GLOBAL SETTINGS---

# Prefix of your forum tables
table_prefix='phpbb_'

# PLACE COOKIE DATA HERE.
# Visit the forum, login and type "javascript:document.cookie" (w/o quotes) into the address bar. Copy all the text to COOKIEDATA and put single quotes (') around it.
COOKIEDATA=''

# URL to your forum. This should be
# http://<name>.<domain>.com/
URL='http://myboard.forumotion.com/'

# ---TOPIC AND POST SETTINGS---

# IDs of stickied [pinned] topics.
# Example: sticky=[1,2,3,5]
# Note: If you have admin access, you can skip this step by setting
# "Separate announcements and stickies from the messages" to "With a table"
# in the admin panel under "General->Messages and Emails->Configuration".
sticky=[]

# URL to the lock/closed topic image (the image that appears instead of "Post Reply" in a closed topic)
lockimage='http://illiweb.com/fa/prosilver/button_topic_locked_en.png'

# ---MEMBER SETTINGS---

# A random number, used to seed the password generator. You'll want to keep this a secret! CHANGE THIS.
# Keep this the same across runs, because this ensures that the same passwords
# are assigned to the same people.
RANDOMNUMBER=12345678

# Make this value at least as high as the highest member ID, if not higher. Check by noting the ID of the member with the most recent join date.
NUMUSERS=200

# If you can't change the forum's date/time setting, you can make this field match the current setting.
# You still have to change the date/time setting in your profile prefs to "2008-03-29, 19:46", though!
PROFILE_DATEFMT="%Y-%m-%d"

# Administrators (member ids only please!): e.g. ADMINS=[18983,38821]
# You can find the member id from their profile page URL: it's in the form http://domain.com/profile.forum?mode=viewprofile&u=<MEMBER ID>
ADMINS=[1]

# ---PERSONAL MESSAGE SETTINGS---

# Wait time between successive PMs, in seconds.
# Some users may not be able to send PMs rapidly. If the script fails,
# increase this value.
waittime=1

# Title for the new automated password messages
msgtitle="Password for New Forums"

# What to say. Place "%s" (without quotes) at the location you want the password to be.
# Use "%%0A" (without quotes) in place of a line break.
msgbody="We've moved! Your password for the new forums at http://yournewforums.com is %s.%%0A%%0AAfter logging in, please change your password!%%0A%%0A[SIZE=7]This is an automated message.[/SIZE]"

if __name__=='__main__':
	raw_input("This is not meant to be run. Please edit this file and follow the instructions. Press <enter> to close.")
