#!/usr/bin/python
'''InvisionFree/InvisionPlus to phpBB 2 Converter by nneonneo
Version 0.3.0
Members Part
June 27 2006
Updated Nov 2 2010'''
import os,re,sys,random
from time import strptime,strftime,mktime,time,localtime
try:
    from settings import *
    COOKIEDATA=get_cookie()
except Exception, detail:
    print "Error: Settings file has some error."
    print "Details of the error:"
    sys.excepthook(*sys.exc_info())
    raw_input("Press <enter> to quit.")
    sys.exit(1)
sys.path.append('..')
from common import *

# Don't edit this file, unless you are SURE you know what you are doing.
'''(`ID_MEMBER`,`memberName`,`dateRegistered`,`posts`,`ID_GROUP`,`lngfile`,`lastLogin`,`realName`,`instantMessages`,`unreadMessages`,`buddy_list`,`pm_ignore_list`,`messageLabels`,`passwd`,`emailAddress`,`personalText`,`gender`,`birthdate`,`websiteTitle`,`websiteUrl`,`location`,`ICQ`,`AIM`,`YIM`,`MSN`,`hideEmail`,`showOnline`,`timeFormat`,`signature`,`timeOffset`,`avatar`,`pm_email_notify`,`karmaBad`,`karmaGood`,`usertitle`,`notifyAnnouncements`,`notifyOnce`,`notifySendBody`,`notifyTypes`,`memberIP`,`secretQuestion`,`secretAnswer`,`ID_THEME`,`is_activated`,`validation_code`,`ID_MSG_LAST_VISIT`,`additionalGroups`,`smileySet`,`ID_POST_GROUP`,`totalTimeLoggedIn`,`passwordSalt`)'''
beg_time=time()
re_name=re.compile(r'''<div id=['"]profilename['"]>(.+?)</div>''')
re_mid=re.compile(r'''MID=(\d+)['"]>Add to contact list</a>''')
re_info=re.compile(r'''<tr>\s*<td[^>]*><b>(.+?)</b></td>\s*<td[^>]*>(?:<b>)?(.*?)(?:</b>)?</td>\s*</tr>''')
re_noinfo=re.compile(r"\A(?:No|<i>No Information</i>)\Z")

def printline(ln):
    sys.stdout.write('\r'+'%-79s'%ln)
    sys.stdout.flush()

def escape_vars(ls):
    ret = []
    for i in ls:
        if isinstance(i,(str,unicode)):
            ret+=[i.replace("\\","\\\\").replace("'","\\'")]
        else:
            ret+=[i]
    return ret

out=open('members_phpBB.sql','w')
out.write('TRUNCATE TABLE `'+table_prefix+'users`;'+'TRUNCATE TABLE `'+table_prefix+'user_group`;'+'TRUNCATE TABLE `'+table_prefix+'groups`;INSERT INTO '+table_prefix+'''users (user_id, user_active, username, user_password, user_session_time, user_session_page, user_lastvisit, user_regdate, user_level, user_posts, user_timezone, user_style, user_lang, user_dateformat, user_new_privmsg, user_unread_privmsg, user_last_privmsg, user_login_tries, user_last_login_try, user_emailtime, user_viewemail, user_attachsig, user_allowhtml, user_allowbbcode, user_allowsmile, user_allowavatar, user_allow_pm, user_allow_viewonline, user_notify, user_notify_pm, user_popup_pm, user_rank, user_avatar, user_avatar_type, user_email, user_icq, user_website, user_from, user_sig, user_sig_bbcode_uid, user_aim, user_yim, user_msnm, user_occ, user_interests, user_actkey, user_newpasswd) VALUES('-1', '0', 'Anonymous', '', '0', '0', '0', '0', '0', '0', '0.00', NULL, 'english', '', '0', '0', '0', '0', '0', NULL, '0', '0', '1', '1', '1', '1', '0', '1', '0', '1', '0', NULL, '', '0', '', '', '', '', '', NULL, '', '', '', '', '', '', '');INSERT INTO '''+table_prefix+'''groups (group_id, group_type, group_name, group_description, group_moderator, group_single_user) VALUES('1', '1', 'Anonymous', 'Personal User', '0', '1');INSERT INTO '''+table_prefix+'''user_group (group_id, user_id, user_pending) VALUES('1', '-1', '0');''')
PM_data=open('pm_passwords.txt','w')
for memberid in range(1,NUMUSERS+1):
    try:
        random.seed(RANDOMNUMBER+memberid) # creates static member passwords: they will never change.
        statusline="Member ID %i ... "%memberid
        userdata=download_page(URL+'showuser='+str(memberid), statusline+"Downloading     ", COOKIEDATA)
        username=re.findall(re_name, userdata)
        userid=re.findall(re_mid, userdata)
        p = re.findall(re_info, userdata)
        if not username or not userid or not p:
            printline(statusline+"Warning: Member doesn't exist!")
            print # blank line for next member
            continue
        username = username[0]
        userid = userid[0]
        printline(statusline+"Processing")
        '''
        1:username
        2:user_id
        3:user_posts
        4:user_regdate
        5:user_lastvisit
        6:user_aim
        7 [ICQ]
        8:user_yim
        9:user_msnm
        10:user_website
        11 [websiteTitle]
        12 [birthdate]
        13:user_from
        14:user_interests
        15:user_rank
        16 [usertitle]
        17:user_avatar
        '''
        dat=[0,username,userid,0,0,0,'','','','','','','0001-01-01','','',0,'','']
        for t, i in p:
            try:
                t=t.strip(':')
                i=i.strip()
                if re.match(re_noinfo, i): continue
                if not i: continue
                if t=='Total Cumulative Posts':
                    i=re.findall(r'^[\d,]+', i)
                    dat[3]=int(i[0].replace(',',''))
                elif t=='Posts per day': pass
                elif t=='Joined':
                    dat[4]=int(mktime(strptime(i,'%d-%B %y')))
                elif t in ('Last Activity', 'Most active in'):
                    if i=='--' or i.startswith('<a'): continue
                    dat[5]=int(mktime(strptime(i,'%b %d %Y, %I:%M %p')))
                elif t=="User's local time": pass
                elif t=='Email': pass # either a link to the mailer page, or "Private"
                elif t=='Integrity Messenger': pass
                elif t=='AIM Name': dat[6]=i
                elif t=='ICQ Number': dat[7]=i
                elif t=='Yahoo Identity': dat[8]=i
                elif t=='MSN Identity': dat[9]=i
                elif t=='Personal Message': pass
                elif t=='Home Page':
                    dat[10], dat[11] = re.findall('''<a href=['"]([^'"]*)['"][^>]*>(.+?)</a>''', i)[0]
                elif t=='Birthday':
                    dat[12]=strftime('%Y-%m-%d',strptime(i,'%d %B %Y'))
                elif t=='Location': dat[13]=i
                elif t=='Interests': dat[14]=i
                elif t=='Member Group': dat[15]=i
                elif t=='Member Title': dat[16]=i
                elif t=='Avatar': dat[17] = re.findall('''<img src=['"](.+?)['"] border=['"]0['"]''', i)[0]
            except (IndexError, ValueError),detail:
                print # blank line to prevent overwrite
                print "\tError:",detail
        password=randpw()
        passhash=md5hex(password)
        dat=escape_vars(dat)
        out.write("INSERT INTO `"+table_prefix+"users` (`username`,`user_id`,`user_posts`,`user_regdate`,`user_lastvisit`,`user_aim`,`user_yim`,`user_msnm`,`user_website`,`user_interests`,`user_occ`,`user_from`,`user_rank`,`user_avatar`,`user_avatar_type`,`user_password`,`user_level`) VALUES ('%s',%s,%s,%i,%i,'%s','%s','%s','%s','%s','%s','%s',%i,'%s','2','%s','%s');\n"%(dat[1],dat[2],dat[3],dat[4],dat[5],dat[6],dat[8],dat[9],dat[10],dat[14],'',dat[13],groups.get(dat[15],0),dat[17],passhash,int(groups.get(dat[15],0)==1)))
        out.write("INSERT INTO `"+table_prefix+"groups` (group_id, group_type, group_name, group_description, group_moderator, group_single_user) VALUES ('%i', '1', '%s', 'Personal User', '0', '1');\n"%(int(dat[2])+1,'Admin'*int(groups.get(dat[15],0)==1)))
        out.write("INSERT INTO `"+table_prefix+"user_group` (group_id, user_id, user_pending) VALUES ('%i', '%i', '0');\n"%(int(dat[2])+1,int(dat[2])))
        # touser|password
        PM_data.write("%s|%s\n"%(dat[1],password))
        printline(statusline+"Completed! User Password: %s"%password)
        print # blank line for next member
    except KeyboardInterrupt: break
    except Exception:
        sys.stderr=file('members_convert_error.log','a')
        print >> sys.stderr,'Member ID',memberid
        sys.excepthook(*sys.exc_info())
        print >> sys.stderr
        printline(statusline+"Exception: See convert_error.log")
        print
PM_data.close()
out.close()
print 'Elapsed Conversion Time %.02f seconds' % (time() - beg_time)
raw_input("Complete! Press <enter> to exit.")
