#!/usr/bin/python

# ---GLOBAL SETTINGS---

# Prefix of your forum tables (default smf_ for SMF, phpbb_ for phpBB)
table_prefix='smf_'

# URL to your board - add the trailing "/" but leave out "index/"
# If you are using a custom domain, this should be set to your primary domain.
URL='http://s1.zetaboards.com/yourboard/'

# URL to your board on Zetaboards - same as URL if you don't use a custom domain
ZBURL='http://s1.zetaboards.com/yourboard/'

# ---TOPIC AND POST SETTINGS---

# URL to the lock/closed topic icon (the icon that appears to the left of a locked topic)
# defaults to http://209.85.62.24/static/1/t_locked.png
lockimage='http://209.85.62.24/static/1/t_locked.png'

# ---MEMBER SETTINGS---

# A random number, used to seed the password generator. You'll want to keep this a secret! CHANGE THIS.
# Keep this the same across runs, because this ensures that the same passwords
# are assigned to the same people.
RANDOMNUMBER=12345678

# MAP THE GROUPS AND POSTGROUPS ACCORDING TO YOUR FORUM SETUP
# Mapping: for groups, map the "special" groups to their group #s, and the "nonspecial" or post-based groups to 0.
# For phpBB, groups mapped to 1 will be taken as admin groups, and all others as regular members.
groups={'Admins':1,
'Global Moderators':2,
'Validating':0,
'Members':0}

# Here, define the postgroup based groups (SMF only)
def postgroup(posts):
	if posts>=500: return 8 # Hero Member
	if posts>=250: return 7 # Sr. Member
	if posts>=100: return 6 # Full Member
	if posts>=50: return 5 # Jr. Member
	return 4 # Newbie

# ---PERSONAL MESSAGE SETTINGS---

# Wait time between successive PMs.
# 0 should work on ZetaBoards.
waittime=0

# Title for the new automated password messages
msgtitle="Password for New Forums"

# What to say. Place "%s" (without quotes) at the location you want the password to be.
# Use "%%0A" (without quotes) in place of a line break.
msgbody="We've moved! Your password for the new forums at http://yournewforums.com is %s.%%0A%%0AAfter logging in, please change your password!%%0A%%0A[small][small]This is an automated message.[/small][/small]"

# Don't edit below this line
def get_cookie():
	try:
		return file("cookie.txt","rt").read().strip()
	except IOError:
		import sys
		print "Error: cookie.txt not found."
		print "Please run ipbfree_get_cookie.py to generate it."
		raw_input("Press <enter> to quit.")
		sys.exit(1)

if __name__=='__main__':
	raw_input("This is not meant to be run. Please edit this file and follow the instructions. Press <enter> to close.")
