#!/usr/bin/python

# ---GLOBAL SETTINGS---

# Prefix of your forum tables
table_prefix='phpbb_'

# URL to your forum. This should be
# http://<name>.<server>.<domain>.com/
URL='http://myboard.47.forumer.com/'

# URL for the new phpBB3 forum.
# This is used to fix internal links.
# Include the trailing slash.
NEWURL='http://newforum.com/phpBB3/'

# ---TOPIC AND POST SETTINGS---

# Download attachments?
CONVERT_ATTACHMENTS=True

# ---MEMBER SETTINGS---

# A random number, used to seed the password generator. You'll want to keep this a secret! CHANGE THIS.
# Keep this the same across runs, because this ensures that the same passwords
# are assigned to the same people.
RANDOMNUMBER=12345678

# Make this value at least as high as the highest member ID, if not higher. Check by noting the ID of the member with the most recent join date.
NUMUSERS=200

# ---PERSONAL MESSAGE SETTINGS---

# Title for the new automated password messages
msgtitle="Password for New Forums"

# What to say. Place "%s" (without quotes) at the location you want the password to be.
# Make sure to keep the triple-quotes!
msgbody="""We've moved! Your password for the new forums at http://yournewforums.com is %s.

After logging in, please change your password!

[size=85]This is an automated message.[/size]"""

# Don't edit below this line
def get_cookie():
	try:
		return file("cookie.txt","rt").read().strip()
	except IOError:
		import sys
		print "Error: cookie.txt not found."
		print "Please run forumer_get_cookie.py to generate it."
		raw_input("Press <enter> to quit.")
		sys.exit(1)

if __name__=='__main__':
	raw_input("This is not meant to be run. Please edit this file and follow the instructions. Press <enter> to close.")
